# GetArrayItem

### int GetArrayItem(int lMsgId, ref string pszValue)

수신한 SECS메시지의 배열 아이템을 구분자(“,”)로 구분된 문자열로 전달해 줍니다.

반환값은 배열 아이템 수량을 의미함.

Parameters

<table data-header-hidden><thead><tr><th width="185" valign="top"></th><th width="131" valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Name</td><td valign="top">Type</td><td valign="top">Description</td></tr><tr><td valign="top">lMsgId</td><td valign="top">int</td><td valign="top">수신한 Message의 ID</td></tr><tr><td valign="top">pszValue</td><td valign="top">ref string</td><td valign="top">배열의 아이템을 구분자(“,”)로 연결한 문자열</td></tr></tbody></table>

```csharp
    string strResult = ""; // 결과를 담을 문자열 초기화

    // GetArrayItem 호출 (pszValue는 ref 키워드 사용)
    // 반환값(nItemCount)은 문자열에 포함된 실제 배열 아이템의 개수입니다.
    int nItemCount = m_gem.GetArrayItem(lMsgId, ref strResult);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://nviasoft.gitbook.io/nviasoft-docs/api-reference/item-parsing/getarrayitem.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
